package top.ninwoo.utils;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import top.ninwoo.utils.config.DockerConfig;
import top.ninwoo.utils.util.OSUtils;

/**
 * @Author joliu
 * @Description
 * @Date　Create in 上午10:45 2019/11/4
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = DockerConfig.class)
public class OsUtilsTests {

    @Autowired
    OSUtils osUtils;

    @Test
    public void testDisk() {
        System.out.println("Disk:" + osUtils.disk() + "GB");
        System.out.println("CPU:" + osUtils.cpuUsage() + "%");
        System.out.println("MEM:" + osUtils.memoryUsage() + "%");
        int i = 0;
        while(i < 10) {
            System.out.println("NET:" + osUtils.networkUsage() + "%");
        }
    }

}
